
#ifndef ZAP_CROWBAR_H_
#define ZAP_CROWBAR_H_

#include <hardware/structs/iobank0.h>
#include <hardware/gpio.h>

#include "zap_pinout.h"

void zap_crowbar_init(void);

static inline void zap_crowbar_a_act(void) { sio_hw->gpio_set = 1u << ZAP_CROWBAR_1; }
static inline void zap_crowbar_a_hiz(void) { sio_hw->gpio_clr = 1u << ZAP_CROWBAR_1; }

static inline void zap_crowbar_b_act(void) { sio_hw->gpio_set = 1u << ZAP_CROWBAR_2; }
static inline void zap_crowbar_b_hiz(void) { sio_hw->gpio_clr = 1u << ZAP_CROWBAR_2; }

#endif

