
#ifndef ZAP_PINOUT_H_
#define ZAP_PINOUT_H_

#define ZAP_GPIO_BASE 0
#define ZAP_GPIO_END  7
#define ZAP_GPIO_MASK 0xff

#define ZAP_TRIG_IN    10
#define ZAP_GLITCH_OUT 11
#define ZAP_CROWBAR_1  12
#define ZAP_CROWBAR_2  13

#define ZAP_MAX_INHIBIT 16
#define ZAP_MAX_VHI_SW  21
#define ZAP_GPIO_ENABLE 22

#define ZAP_DAC_SPI    spi0
#define ZAP_DAC_NLATCH 17
#define ZAP_DAC_SCLK   18
#define ZAP_DAC_TX     19
#define ZAP_DAC_CS     20
#define ZAP_DAC_NSHDN  28

#define ZAP_ADC_A      26
#define ZAP_ADC_B      27
/*#define ZAP_ADC_REF    28*/

#define ZAP_PICOEMP_PWM 14
#define ZAP_PICOEMP_CHG 15
#define ZAP_PICOEMP_HVP ZAP_GLITCH_OUT

#endif

