
#include <stdint.h>

#include <hardware/adc.h>

#include "zap_pinout.h"

#include "zap_adc.h"

void zap_adc_init(void) {
	adc_init();

	adc_gpio_init(ZAP_ADC_A);
	adc_gpio_init(ZAP_ADC_B);
	//adc_gpio_init(ZAP_ADC_REF);
}

uint16_t zap_adc_read(int idx) {
	if (idx < 0 || idx >= 2/*3*/) return 0xf000;

	adc_select_input(idx);
	return adc_read();
}

