
#ifndef ZAP_GPIO_H_
#define ZAP_GPIO_H_

#include <stdbool.h>

#include <hardware/structs/iobank0.h>

#include "zap_pinout.h"

void zap_gpio_init(bool init_pins_as_gpio, bool enable);

static inline void zap_gpio_set_en(bool enable) {
	if (enable) sio_hw->gpio_set = 1u << ZAP_GPIO_ENABLE;
	else sio_hw->gpio_clr = 1u << ZAP_GPIO_ENABLE;
}

#endif

